Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Oct 2021 12:11:54 +1100

Hi Dave,

On Fri, 01 Oct 2021 14:40:46 +0100 (BST) David Miller <[email-masked]> wrote:
>
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 1 Oct 2021 16:18:49 +1000
> 
> > Hi all,
> > 
> > After merging the net-next tree, today's linux-next build (sparc64
> > defconfig) failed like this:
> > 
> > net/core/sock.c: In function 'sock_setsockopt':
> > net/core/sock.c:1417:7: error: 'SO_RESERVE_MEM' undeclared (first use in this function); did you mean 'IORESOURCE_MEM'?
> >   case SO_RESERVE_MEM:
> >        ^~~~~~~~~~~~~~
> >        IORESOURCE_MEM
> > net/core/sock.c:1417:7: note: each undeclared identifier is reported only once for each function it appears in
> > net/core/sock.c: In function 'sock_getsockopt':
> > net/core/sock.c:1817:7: error: 'SO_RESERVE_MEM' undeclared (first use in this function); did you mean 'IORESOURCE_MEM'?
> >   case SO_RESERVE_MEM:
> >        ^~~~~~~~~~~~~~
> >        IORESOURCE_MEM
> > 
> > Caused by commit
> > 
> >   2bb2f5fb21b0 ("net: add new socket option SO_RESERVE_MEM")
> > 
> > arch/sparc/include/uapi/socket.h does not include uapi/asm/socket.h and
> > some other architectures do not as well.
> > 
> > I have added the following patch for today (I searched for SO_BUF_LOCK
> > and, of these architectures, I have only compile tested sparc64 and
> > sparc):  
> 
> I committed the sparc part into net-next today, thanks.

Unfortunately, there is a typo in what you committed in bfaf03935f74
("sparc: add SO_RESERVE_MEM definition."), SO_RESEVE_MEM instead of
SO_RESERVE_MEM ...

-- 
Cheers,
Stephen Rothwell